#define LIGHTPEN    1
#define DARKPEN     3
#define BACKPEN     2
#define TEXTPEN     3
#define DISPTEXTPEN 1
#define DISPLAYPEN  0

#define KEYW    26
#define KEYH    11
#define LINEW   2
#define LINEH   1
#define SEPW    3
#define SEPH    1
#define TOPH    10

#define LONGKEYW    (2*KEYW+SEPW)
#define LONGKEYH    KEYH

#define TALLKEYW    KEYW
#define TALLKEYH    (2*KEYH+SEPH)

#define FKEYW       KEYW
#define FKEYH       KEYH

#define DISPLAYW    (4*KEYW+3*SEPW)
#define DISPLAYH    KEYH
#define DISPLAYIW   (DISPLAYW-2*LINEW)
#define DISPLAYIH   (DISPLAYH-2*LINEH)

#define KPADW       (4*KEYW+5*SEPW+2*LINEW+2)
#define KPADH       (5*KEYH+6*SEPH+2*LINEH)
#define FKPDW       KPADW
#define FKPDH       (KEYH+2*(SEPH+LINEH))

#define IMAGEW      (KPADW+2*(SEPW+LINEW))
#define IMAGEH      (2*FKPDH+KPADH+4*SEPH+2*LINEH)

#define WINDW       IMAGEW
#define WINDH       (TOPH+IMAGEH)

#define DISPXPOS    (LINEW+SEPW)
#define DISPYPOS    (TOPH+LINEH+SEPH)
#define DISPX       (DISPXPOS+LINEW+SEPW+1)
#define DISPY       (DISPYPOS+LINEH+SEPH)

#define FKXPOS      (LINEW+SEPW)
#define FKYPOS      (TOPH+LINEH+2*SEPH+FKPDH)
#define FKX(i)      (FKXPOS+LINEW+SEPW+(i)*(KEYW+SEPW)+1)
#define FKY(i)      (FKYPOS+LINEH+SEPH+(i)*(KEYH+SEPH))

#define KPXPOS      (LINEW+SEPW)
#define KPYPOS      (TOPH+LINEH+3*SEPH+2*FKPDH)
#define KPX(i)      (KPXPOS+LINEW+SEPW+(i)*(KEYW+SEPW)+1)
#define KPY(i)      (KPYPOS+LINEH+SEPH+(i)*(KEYH+SEPH))


#define KEY_0       0
#define KEY_1       1
#define KEY_2       2
#define KEY_3       3
#define KEY_4       4
#define KEY_5       5
#define KEY_6       6
#define KEY_7       7
#define KEY_8       8
#define KEY_9       9
#define KEY_DOT     10
#define KEY_PLUS    11
#define KEY_MINUS   12
#define KEY_TIMES   13
#define KEY_DIVIDE  14
#define KEY_LPAREN  15
#define KEY_RPAREN  16
#define KEY_EQUAL   17
#define KEY_SIGN    18
#define KEY_SQRT    19
#define KEY_PERCENT 20
#define KEY_CLEAR   21

#define KEY_DISP    22

#define GADG_BRDR    23
#define GADG_BCKGRND 24

#define GADGET_COUNT  GADG_BCKGRND+1


#define BRDR_KEY    1
#define BRDR_LONG   3
#define BRDR_TALL   5
#define BRDR_ROOT   6
#define BRDR_DRAG   8
#define BRDR_TEXT   10
#define BRDR_KPAD   12
#define BRDR_FKEY   14
#define BRDR_DISP   16
#define BRDR_MAIN   18

extern struct IntuiText KeyText[];
extern struct Border CalcBorder[];
extern struct Gadget CalcGadget[];
extern char DisplayBuffer[];
